/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Son Dez  3 09:53:04 CET 2000
    copyright            : (C) 2000 by Olaf Lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "krpmbuilder.h"

static const char *descriptionInit = I18N_NOOP("KRPMBuilder");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  KAboutData aboutDataInit( "krpmbuilder", I18N_NOOP("KRPMBuilder"),
                            VERSION, descriptionInit, KAboutData::License_GPL,"(c) 2000, Olaf Lueg & Adam Kreuschner");
  aboutDataInit.addAuthor("Olaf Lueg",0, "olaf.lueg@t-online.de","http://home.t-online.de/home/olaf.lueg/krpmbuilder.html");
  aboutDataInit.addAuthor("Adam Kreuschner",0, "kreuschner@dvoid.org");

  KCmdLineArgs::init( argc, argv, &aboutDataInit );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KRPMBuilder *krpmbuilder = new KRPMBuilder();
  krpmbuilder->setFixedSize( 595, 410 );
  a.setMainWidget(krpmbuilder);
  krpmbuilder->show();

  return a.exec();
}
